# {{ ansible_managed }}
############# config ##################
#
set base_path    {{ aptmirror_service_root }}
#
# set mirror_path  $base_path/mirror
# set skel_path    $base_path/skel
# set var_path     $base_path/var
# set cleanscript $var_path/clean.sh
# set defaultarch  <running host architecture>
# set postmirror_script $var_path/postmirror.sh
# set run_postmirror 0
set nthreads     20
set _tilde 0
#
############# end config ##############

# ----- Distribution Repositories -----
{% for item in aptmirror_content_distros_releases %}

# -----{{ item }} Repositories-----
deb http://gb.archive.ubuntu.com/ubuntu {{ item }} main restricted universe multiverse
{% if aptmirror_content_distros_security %}
deb http://gb.archive.ubuntu.com/ubuntu {{ item }}-security main restricted universe multiverse
{% endif %}
{% if aptmirror_content_distros_updates %}
deb http://gb.archive.ubuntu.com/ubuntu {{ item }}-updates main restricted universe multiverse
{% endif %}
{% if aptmirror_content_distros_backports %}
deb http://gb.archive.ubuntu.com/ubuntu {{ item }}-backports main restricted universe multiverse
{% endif %}

{% if aptmirror_content_distros_src %}
deb-src http://gb.archive.ubuntu.com/ubuntu {{ item }} main restricted universe multiverse
{% if aptmirror_content_distros_security %}
deb-src http://gb.rchive.ubuntu.com/ubuntu {{ item }}-security main restricted universe multiverse
{% endif %}
{% if aptmirror_content_distros_updates %}
deb-src http://gb.archive.ubuntu.com/ubuntu {{ item }}-updates main restricted universe multiverse
{% endif %}
{% if aptmirror_content_distros_backports %}
deb-src http://gb.archive.ubuntu.com/ubuntu {{ item }}-backports main restricted universe multiverse
{% endif %}
{% endif %}
{% endfor %}

{% if aptmirror_content_extrarepos is defined %}
# ----- Additional Repositories -----
{% for item in aptmirror_content_extrarepos %}
# ----- {{ item.name }} Repository -----
{{ item.deb }}
{% endfor %}
{% endif %}


clean http://gb.archive.ubuntu.com/ubuntu
